const {generateCode, generateCodes} = require( 'dhis2-uid' );

module.exports = program => {
  const cmd = program.command( 'uid' )
    .description( 'generate dhis2 compatible codes (UIDs)' )
    .option( '-l, --limit [limit]', 'number of UIDs to generate', 10 )
    .option( '--json', 'output in json format', false )
    .option( '--csv', 'output in csv format', false )
    .action( args => {
      if ( args.json ) {
        const output = generateCodes( args.limit );
        console.log( JSON.stringify( {codes: output} ) );
      } else if ( args.csv ) {
        console.log( 'codes' );

        for ( let i = 0; i < args.limit; i++ ) {
          console.log( generateCode() );
        }
      } else {
        const output = generateCodes( args.limit );
        console.log( output.join( ' ' ) );
      }
    } );

  return cmd;
};
